Package org.eclipse.net4j.util.concurrent

# Class SerializingExecutor

java.lang.Object
org.eclipse.net4j.util.event.Notifier
org.eclipse.net4j.util.lifecycle.Lifecycle
org.eclipse.net4j.util.concurrent.SerializingExecutor

All Implemented Interfaces:
  `Runnable`, `Executor`, `INotifier`, `INotifier.INotifier2`, `IDeactivateable`, `ILifecycle`, `ILifecycle.DeferrableActivation`

public class SerializingExecutor extends Lifecycle implements Executor, Runnable

Since:
  3.9
Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.lifecycle.ILifecycle

`ILifecycle.DeferrableActivation`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier

`INotifier.INotifier2`

## Field Summary

### Fields inherited from class org.eclipse.net4j.util.lifecycle.Lifecycle

`USE_LABEL`

## Constructor Summary

Constructors
Constructor
Description
`SerializingExecutor()`
`SerializingExecutor(Executor delegate)`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`doActivate()`
`protected void`
`doDeactivate()`
`final void`
`execute(Runnable task)`
`final Executor`
`getDelegate()`
`protected void`
`handleFailedTask(Runnable task, Throwable failure)`
`final void`
`run()`
`final void`
`setDelegate(Executor delegate)`

### Methods inherited from class org.eclipse.net4j.util.lifecycle.Lifecycle

`activate, checkActive, checkArg, checkArg, checkInactive, checkNull, checkState, checkState, deactivate, deferredActivate, doAfterActivate, doBeforeActivate, doBeforeDeactivate, dump, getLifecycleState, isActive, isDeferredActivation, toString`

### Methods inherited from class org.eclipse.net4j.util.event.Notifier

`addListener, addUniqueListener, fireEvent, fireEvent, fireEvent, fireThrowable, firstListenerAdded, getListeners, getNotificationService, hasListener, hasListeners, lastListenerRemoved, listenerAdded, listenerRemoved, removeListener`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

`addListener, getListeners, hasListeners, removeListener`

## Constructor Details

### SerializingExecutor

public SerializingExecutor(Executor delegate)

### SerializingExecutor

public SerializingExecutor()

## Method Details

### getDelegate

public final Executor getDelegate()

### setDelegate

public final void setDelegate(Executor delegate)

### execute

public final void execute(Runnable task)

Specified by:
  `execute` in interface `Executor`

### run

public final void run()

Specified by:
  `run` in interface `Runnable`

### handleFailedTask

protected void handleFailedTask(Runnable task, Throwable failure)

### doActivate

protected void doActivate() throws Exception

Overrides:
  `doActivate` in class `Lifecycle`
Throws:
  `Exception`

### doDeactivate

protected void doDeactivate() throws Exception

Overrides:
  `doDeactivate` in class `Lifecycle`
Throws:
  `Exception`